<template>
  <audio
    v-if="blobFilePath"
    controls
    controlsList="nodownload"
    webkit-playsinline
    playsinline
    preload="none"
  >
    <source :src="blobFilePath" type="audio/mpeg" />
    <source :src="blobFilePath" type="audio/wav" />
    <source :src="blobFilePath" type="audio/aac" />
    <!-- Add AAC format -->
  </audio>
  <audio controls controlsList="nodownload" v-if="!blobFilePath">
    <source src="" />
  </audio>
</template>
<script setup>
import { defineProps } from 'vue';
const props = defineProps({
  blobFilePath: {},
});
</script>
<style scoped>
audio {
  width: 100%;
}
</style>
